---
- name: Import variables
  include_vars:
    file: "{{ playbook_dir }}/vars/main.yml"

- name: Create volume and assign it to UID/GID 1000
  file:
    path: "{{ elastic_data }}"
    owner: "{{ ansible_env.SUDO_USER }}"
    group: "root"
    mode: 0770
    recurse: yes
    state: directory

- name: Build docker container for Elastic Search
  docker_container:
    name: elasticsearch
    image: "quay.io/siemple/siemple-elasticsearch:{{ siemple_version }}"
    hostname: elasticsearch
    restart_policy: unless-stopped
    networks:
      - name: siemple-net
    purge_networks: true
    published_ports:
      - "{{ elastic_host }}:{{ elastic_rest_port }}:9200"
      - "{{ elastic_host }}:{{ elastic_nodes_port }}:9300"
    volumes:
      - "{{ elastic_data }}:/usr/share/elasticsearch/data"
    env:
      discovery.type: "single-node"
      bootstrap.memory_lock: "true"
      ES_JAVA_OPTS: "-Xms512m -Xmx512m"
      TAKE_FILE_OWNERSHIP: "true"
    ulimits:
      - "memlock:-1:-1"
    state: started
    
